Class | Sequel::Postgres::StatementCache::Statement
In: | lib/sequel/extensions/pg_statement_cache.rb
Parent: | Object

A simple structure used for the values in the StatementCache‘s hash. It does not hold the related SQL, since that is used as the key for the StatementCache‘s hash.

### Methods

name new

### Attributes

cache_id | [R] | The id related to the statement, used as part of the prepared statement name.
last_seen | [RW] | The last time this statement was seen by the cache, persumably the last time it was executed.
num_executes | [RW] | The total number of executions since the statement entered the cache.

### Public Class methods

new(cache_id)

Used when adding entries to the cache, just sets their id. Uses 0 for num_executes since that is incremented elsewhere. Does not set last_seen since that is set elsewhere to reduce branching.

[Source]

        # File lib/sequel/extensions/pg_statement_cache.rb, line 59
    59:         def initialize(cache_id)
    60:           @num_executes = 0
    61:           @cache_id = cache_id
    62:         end

### Public Instance methods

name()

The name to use for the server side prepared statement. Note that this statement might not actually be prepared.

[Source]

        # File lib/sequel/extensions/pg_statement_cache.rb, line 66
    66:         def name
    67:           "sequel_pgap_#{cache_id}"
    68:         end

[Validate]